Debian Bug report logs - #708829
dialog broken by ncurses 5.9+20130504-1, with --stdout sends term controls to stdout

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Vaclav Ovsik <vaclav.ovsik@gmail.com>

Date: Sat, 18 May 2013 21:06:02 UTC

Severity: serious

Found in version dialog/1.2-20121230-1

Fixed in version dialog/1.2-20130523-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#708829; Package dialog. (Sat, 18 May 2013 21:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vaclav Ovsik <vaclav.ovsik@gmail.com>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. (Sat, 18 May 2013 21:06:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vaclav Ovsik <vaclav.ovsik@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog broken by ncurses 5.9+20130504-1, with --stdout sends term controls to stdout
Date: Sat, 18 May 2013 23:03:52 +0200
Package: dialog
Version: 1.2-20121230-1
Severity: normal

Dear Maintainer,
after ncurses packages upgraded to version 5.9+20130504-1 my shell
script with dialogs stopped working. After some investigation I found,
that dialog sends terminal control sequence for maybe clearing terminal
to stdout. Consider:

zito@bobek:~$ dialog --stdout --menu 'my menu' 15 60 0 first "1st menu item" second "2nd menu item" >/tmp/x
zito@bobek:~$ xxd /tmp/x
0000000: 1b5b 324a 1b5b 3f34 376c 1b38 1b5b 481b  .[2J.[?47l.8.[H.
0000010: 5b32 4a66 6972 7374                      [2Jfirst

Normal behaviour is back when ncurses packages downgraded to 5.9-10
version. Despite this fact I reported this problem against dialog,
I suspect dialog maybe uses something from ncurses incorrectly and this
problem occurred now with some change in ncurses.
And maybe I'm wrong :).
Thanks for your time
-- 
Zito

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.8-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=cs_CZ.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages dialog depends on:
ii  debianutils   4.3.4
ii  libc6         2.17-3
ii  libncursesw5  5.9+20130504-1
ii  libtinfo5     5.9+20130504-1

dialog recommends no packages.

dialog suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#708829; Package dialog. (Sun, 19 May 2013 01:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Sun, 19 May 2013 01:27:04 GMT) Full text and rfc822 format available.

Message #10 received at 708829@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Vaclav Ovsik <vaclav.ovsik@gmail.com>, 708829@bugs.debian.org
Subject: Re: Bug#708829: dialog broken by ncurses 5.9+20130504-1, with --stdout sends term controls to stdout
Date: Sat, 18 May 2013 21:25:16 -0400
[Message part 1 (text/plain, inline)]
On Sat, May 18, 2013 at 11:03:52PM +0200, Vaclav Ovsik wrote:
> Package: dialog
> Version: 1.2-20121230-1
> Severity: normal
> 
> Dear Maintainer,
> after ncurses packages upgraded to version 5.9+20130504-1 my shell
> script with dialogs stopped working. After some investigation I found,
> that dialog sends terminal control sequence for maybe clearing terminal
> to stdout. Consider:
> 
> zito@bobek:~$ dialog --stdout --menu 'my menu' 15 60 0 first "1st menu item" second "2nd menu item" >/tmp/x
> zito@bobek:~$ xxd /tmp/x
> 0000000: 1b5b 324a 1b5b 3f34 376c 1b38 1b5b 481b  .[2J.[?47l.8.[H.
> 0000010: 5b32 4a66 6972 7374                      [2Jfirst
> 
> Normal behaviour is back when ncurses packages downgraded to 5.9-10
> version. Despite this fact I reported this problem against dialog,
> I suspect dialog maybe uses something from ncurses incorrectly and this
> problem occurred now with some change in ncurses.

yes - I changed something in ncurses, starting here:

20120825
        + change output buffering scheme, using buffer maintained by ncurses
          rather than stdio, to avoid problems with SIGTSTP handling (report
          by Brian Bloniarz).

(the fix for this problem will be to add an fflush in dialog to work as
intended)

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#708829; Package dialog. (Wed, 22 May 2013 09:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Wed, 22 May 2013 09:18:04 GMT) Full text and rfc822 format available.

Message #15 received at 708829@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: dickey@his.com, 708829@bugs.debian.org
Cc: Vaclav Ovsik <vaclav.ovsik@gmail.com>, control@bugs.debian.org
Subject: Re: Bug#708829: dialog broken by ncurses 5.9+20130504-1, with --stdout sends term controls to stdout
Date: Wed, 22 May 2013 11:16:16 +0200 (CEST)
severity 708829 serious
thanks

I don't know how many users will be affected by this, so just to be
safe, I'm going to mark this as "serious", only to prevent this to
propagate to testing.

Thanks.



Severity set to 'serious' from 'normal' Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. (Wed, 22 May 2013 09:18:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#708829; Package dialog. (Wed, 22 May 2013 10:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Wed, 22 May 2013 10:03:07 GMT) Full text and rfc822 format available.

Message #22 received at 708829@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Santiago Vila <sanvila@unex.es>, 708829@bugs.debian.org
Cc: dickey@his.com, Vaclav Ovsik <vaclav.ovsik@gmail.com>
Subject: Re: Bug#708829: dialog broken by ncurses 5.9+20130504-1, with --stdout sends term controls to stdout
Date: Wed, 22 May 2013 06:02:04 -0400
[Message part 1 (text/plain, inline)]
On Wed, May 22, 2013 at 11:16:16AM +0200, Santiago Vila wrote:
> severity 708829 serious
> thanks
> 
> I don't know how many users will be affected by this, so just to be
> safe, I'm going to mark this as "serious", only to prevent this to
> propagate to testing.

Per my previous comment, I would have expected this to mark in some
way a blocking-bug to prevent ncurses to propagate until this issue
is resolved.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#708829; Package dialog. (Wed, 22 May 2013 14:45:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Wed, 22 May 2013 14:45:18 GMT) Full text and rfc822 format available.

Message #27 received at 708829@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: dickey@his.com
Cc: 708829@bugs.debian.org, Santiago Vila <sanvila@unex.es>, Vaclav Ovsik <vaclav.ovsik@gmail.com>
Subject: Re: Bug#708829: dialog broken by ncurses 5.9+20130504-1, with --stdout sends term controls to stdout
Date: Wed, 22 May 2013 16:40:29 +0200
Control: clone -1 -2
Control: reassign -2 libncursesw5 5.9+20130504-1 
Control: block -2 by -1

On 2013-05-22 12:02 +0200, Thomas Dickey wrote:

> On Wed, May 22, 2013 at 11:16:16AM +0200, Santiago Vila wrote:
>> severity 708829 serious
>> thanks
>> 
>> I don't know how many users will be affected by this,

A quick search[1] showed that at least libucimf, ssft and
grml-debootstrap are affected in Debian.

>> so just to be
>> safe, I'm going to mark this as "serious", only to prevent this to
>> propagate to testing.

Which does not help, because the dialog version in testing has the same
problem with the new ncurses.

> Per my previous comment, I would have expected this to mark in some
> way a blocking-bug to prevent ncurses to propagate until this issue
> is resolved.

Indeed, doing that now.  Hopefully it's not too late.

Cheers,
       Sven


1. http://codesearch.debian.net/search?q=dialog+--stdout



Bug 708829 cloned as bug 709325 Request was from Sven Joachim <svenjoac@gmx.de> to 708829-submit@bugs.debian.org. (Wed, 22 May 2013 14:45:18 GMT) Full text and rfc822 format available.

Added indication that bug 708829 blocks 709325 Request was from Sven Joachim <svenjoac@gmx.de> to 708829-submit@bugs.debian.org. (Wed, 22 May 2013 14:45:23 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#708829; Package dialog. (Wed, 22 May 2013 19:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Wed, 22 May 2013 19:30:04 GMT) Full text and rfc822 format available.

Message #36 received at 708829@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 708829@bugs.debian.org, 709325@bugs.debian.org
Cc: dickey@his.com, Santiago Vila <sanvila@unex.es>, Vaclav Ovsik <vaclav.ovsik@gmail.com>
Subject: Re: Bug#708829: dialog broken by ncurses 5.9+20130504-1, with --stdout sends term controls to stdout
Date: Wed, 22 May 2013 21:26:53 +0200
On 2013-05-22 16:40 +0200, Sven Joachim wrote:

> On 2013-05-22 12:02 +0200, Thomas Dickey wrote:
>
>> Per my previous comment, I would have expected this to mark in some
>> way a blocking-bug to prevent ncurses to propagate until this issue
>> is resolved.
>
> Indeed, doing that now.  Hopefully it's not too late.

Unfortunately it _was_ too late, ncurses migrated to testing today so
this problem will affect testing users until dialog is fixed. :-(

Cheers,
       Sven



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#708829; Package dialog. (Wed, 22 May 2013 21:12:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Wed, 22 May 2013 21:12:10 GMT) Full text and rfc822 format available.

Message #41 received at 708829@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>, 708829@bugs.debian.org
Cc: 709325@bugs.debian.org, dickey@his.com, Santiago Vila <sanvila@unex.es>, Vaclav Ovsik <vaclav.ovsik@gmail.com>
Subject: Re: Bug#708829: dialog broken by ncurses 5.9+20130504-1, with --stdout sends term controls to stdout
Date: Wed, 22 May 2013 17:09:11 -0400
[Message part 1 (text/plain, inline)]
On Wed, May 22, 2013 at 09:26:53PM +0200, Sven Joachim wrote:
> On 2013-05-22 16:40 +0200, Sven Joachim wrote:
> 
> > On 2013-05-22 12:02 +0200, Thomas Dickey wrote:
> >
> >> Per my previous comment, I would have expected this to mark in some
> >> way a blocking-bug to prevent ncurses to propagate until this issue
> >> is resolved.
> >
> > Indeed, doing that now.  Hopefully it's not too late.
> 
> Unfortunately it _was_ too late, ncurses migrated to testing today so
> this problem will affect testing users until dialog is fixed. :-(

yes... it hadn't occurred to me that ncurses was ready to go (I've been
juggling a lot of things recently).  I'll put together a fix for this
one tonight/tomorrow.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#708829; Package dialog. (Thu, 23 May 2013 11:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Thu, 23 May 2013 11:09:09 GMT) Full text and rfc822 format available.

Message #46 received at 708829@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sven Joachim <svenjoac@gmx.de>, 708829@bugs.debian.org
Cc: 709325@bugs.debian.org, dickey@his.com, Santiago Vila <sanvila@unex.es>, Vaclav Ovsik <vaclav.ovsik@gmail.com>
Subject: Re: Bug#708829: dialog broken by ncurses 5.9+20130504-1, with --stdout sends term controls to stdout
Date: Thu, 23 May 2013 07:07:55 -0400
[Message part 1 (text/plain, inline)]
On Wed, May 22, 2013 at 09:26:53PM +0200, Sven Joachim wrote:
> On 2013-05-22 16:40 +0200, Sven Joachim wrote:
> 
> > On 2013-05-22 12:02 +0200, Thomas Dickey wrote:
> >
> >> Per my previous comment, I would have expected this to mark in some
> >> way a blocking-bug to prevent ncurses to propagate until this issue
> >> is resolved.
> >
> > Indeed, doing that now.  Hopefully it's not too late.
> 
> Unfortunately it _was_ too late, ncurses migrated to testing today so
> this problem will affect testing users until dialog is fixed. :-(

The problem is the calls to putp in util.c, which always write to stdout.

Before my changes, putp had (incorrectly for some time) written using ncurses's
own file descriptor passed in from newterm.  I noticed/fixed that while ironing
out the changes related to 20120825 

I'll fix this in dialog by ensuring that it uses the same file descriptor
as that used for newterm.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#708829; Package dialog. (Fri, 24 May 2013 08:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Fri, 24 May 2013 08:15:09 GMT) Full text and rfc822 format available.

Message #51 received at 708829@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Sven Joachim <svenjoac@gmx.de>
Cc: dickey@his.com, 708829@bugs.debian.org, Vaclav Ovsik <vaclav.ovsik@gmail.com>
Subject: Re: Bug#708829: dialog broken by ncurses 5.9+20130504-1, with --stdout sends term controls to stdout
Date: Fri, 24 May 2013 10:14:02 +0200 (CEST)
On Wed, 22 May 2013, Sven Joachim wrote:

> Control: clone -1 -2
> Control: reassign -2 libncursesw5 5.9+20130504-1 
> Control: block -2 by -1
> 
> On 2013-05-22 12:02 +0200, Thomas Dickey wrote:
> 
> > On Wed, May 22, 2013 at 11:16:16AM +0200, Santiago Vila wrote:
> >> severity 708829 serious
> >> thanks
> >> 
> >> I don't know how many users will be affected by this,
> 
> A quick search[1] showed that at least libucimf, ssft and
> grml-debootstrap are affected in Debian.
> 
> >> so just to be
> >> safe, I'm going to mark this as "serious", only to prevent this to
> >> propagate to testing.
> 
> Which does not help, because the dialog version in testing has the same
> problem with the new ncurses.

I was obviously confused, sorry.

Anyway, there is now a new dialog by Thomas which I'll package asap.



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#708829; Package dialog. (Fri, 24 May 2013 08:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Fri, 24 May 2013 08:30:04 GMT) Full text and rfc822 format available.

Message #56 received at 708829@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Santiago Vila <sanvila@unex.es>, 708829@bugs.debian.org
Cc: Sven Joachim <svenjoac@gmx.de>, dickey@his.com, Vaclav Ovsik <vaclav.ovsik@gmail.com>
Subject: Re: Bug#708829: dialog broken by ncurses 5.9+20130504-1, with --stdout sends term controls to stdout
Date: Fri, 24 May 2013 04:26:39 -0400
[Message part 1 (text/plain, inline)]
On Fri, May 24, 2013 at 10:14:02AM +0200, Santiago Vila wrote:
> On Wed, 22 May 2013, Sven Joachim wrote:
> > Which does not help, because the dialog version in testing has the same
> > problem with the new ncurses.
> 
> I was obviously confused, sorry.
> 
> Anyway, there is now a new dialog by Thomas which I'll package asap.

sounds good.  If I'd noticed that ncurses was near testing, I'd have
done this fix a week ago...

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. (Fri, 24 May 2013 09:36:23 GMT) Full text and rfc822 format available.

Notification sent to Vaclav Ovsik <vaclav.ovsik@gmail.com>:
Bug acknowledged by developer. (Fri, 24 May 2013 09:36:23 GMT) Full text and rfc822 format available.

Message #61 received at 708829-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 708829-close@bugs.debian.org
Subject: Bug#708829: fixed in dialog 1.2-20130523-1
Date: Fri, 24 May 2013 09:33:07 +0000
Source: dialog
Source-Version: 1.2-20130523-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 708829@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 24 May 2013 11:06:30 +0200
Source: dialog
Binary: dialog
Architecture: source amd64
Version: 1.2-20130523-1
Distribution: unstable
Urgency: medium
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 697607 708829
Changes: 
 dialog (1.2-20130523-1) unstable; urgency=medium
 .
   * New upstream release.
   * There is now a --last-key option. Closes: #697607.
   * Fixed problem with new ncurses. Closes: #708829.
Checksums-Sha1: 
 ae940192d7b7e3e87208a18d710fcf035d232ce7 1423 dialog_1.2-20130523-1.dsc
 54768b8443af3de2e6cd16073ec666f19d4ded7a 432886 dialog_1.2-20130523.orig.tar.gz
 4d4e4309e4c6dc7138e21d893a8d47572ee17437 10936 dialog_1.2-20130523-1.debian.tar.gz
 11efcea3081c9e1bb927d5202ecbe166376ab418 359688 dialog_1.2-20130523-1_amd64.deb
Checksums-Sha256: 
 cd9db6e938949bb646dd16426cca997c4ae3b9853436d32c2f913c2921d1698e 1423 dialog_1.2-20130523-1.dsc
 c8d114b7698022bcbd6c88f3c0b2296b0e846c60c5ed6bd28f86dd72b94fd36d 432886 dialog_1.2-20130523.orig.tar.gz
 9016203967c60facc2c6318f0e9eeded5a270ad610a59280dfa46729c83de669 10936 dialog_1.2-20130523-1.debian.tar.gz
 bcc85b7af47ba28c50ec5b8c9657dc1907db9bac9f116f416c0076d016ae47dc 359688 dialog_1.2-20130523-1_amd64.deb
Files: 
 32a2fe5722f14dab3aa7aefce3f35e1e 1423 misc optional dialog_1.2-20130523-1.dsc
 f79a2fd46b918f6a2802444415ad3795 432886 misc optional dialog_1.2-20130523.orig.tar.gz
 0673b42bdea96da8e6a16e648ae78d7c 10936 misc optional dialog_1.2-20130523-1.debian.tar.gz
 491d01523b97611a31e8d8401854f5fa 359688 misc optional dialog_1.2-20130523-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJRny5zAAoJEEHOfwufG4syhOUH/jq3MQwkfiQGxJxPiMitqEq+
J1KvGo9w/J4S58f5xuCIubYTn1K784bDHKJJ/oKrEWP0g5xIWMFe1TODNxqniDrl
HzQbF+JQ1ErkKvppcoeCXKsimBcWL9ltR1bF65ICYQvsn0WkrpH2lIAVKxohPaRY
WjcX4wEjOtFMlufsLOvPnxN2uVvKTySrMixSMPP3Ip+ExjkC1bCWA9XrKwKkq9cR
71gTR+dCfjmNePT+K9kXCbzEuZsqtzvEsCzrK9TrSNFdpba74lwf+j3DOTfN5oFs
K5SGS1/p23b24XI7aJxBqilXe0fWYd/Bv6cxf+BaMBcrxqyUQaQBnhvYnmix3Zo=
=3xrF
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 25 Jun 2013 07:32:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:10:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.